## psk31lx 0.61

=== Makefile ===
# Path settings for 'make install'
# cod-file will be searched in DATADIR, $(HOME) and current directory
# ini-file will be searched in $(HOME), current directory and DATADIR
BINDIR = /usr/local/bin
DATADIR = /usr/share/psk31
MANDIR = /usr/local/man/man1

CC = g++
LD = g++
CCFLAGS = -Wall --pedantic -O2 -DDATADIR=\"$(DATADIR)\" -g
LDFLAGS = -v -H
LIBS = -lncurses -lm
OBJS = psk31-coder.o psk31-receiver.o psk31-transmitter.o psk31-main.o window.o
# OBJS += hansis-fft.o
FILES = README Changes Makefile *.C *.h psk31.ini psk31.cod psk31.1


all: psk31sb

hansis-fft.o: hansis-fft.C
	$(CC) $(CCFLAGS) -c hansis-fft.C -o hansis-fft.o

psk31-coder.o: psk31-coder.C psk31.h psk31-coder.h
	$(CC) $(CCFLAGS) -c psk31-coder.C -o psk31-coder.o

psk31-receiver.o: psk31-receiver.C psk31.h psk31-coder.h
	$(CC) $(CCFLAGS) -c psk31-receiver.C -o psk31-receiver.o

psk31-transmitter.o: psk31-transmitter.C psk31.h psk31-transmitter.h
	$(CC) $(CCFLAGS) -c psk31-transmitter.C -o psk31-transmitter.o

psk31-main.o: psk31-main.C psk31.h psk31-transmitter.h psk31-receiver.h
	$(CC) $(CCFLAGS) -c psk31-main.C -o psk31-main.o

psk31sb: $(OBJS)
	$(LD) $(LDFLAGS) $(LIBS) $(OBJS) -o psk31sb

window.o:	window-linux.C window.h
	$(CC) $(CCFLAGS) -c window-linux.C -o window.o

arch:	$(FILES)
	tar -cvzf psk31lx.tgz $(FILES)

rpm:	
	tar -cvzf /usr/src/packages/SOURCES/psk31sb-V0.6.tar.gz $(FILES)
	rpm -ba /usr/src/packages/SPECS/psk31sb-0.6-1.spec

install:
	install -d $(BINDIR)
	install -d $(DATADIR)
	install -d $(MANDIR)
	install psk31sb $(BINDIR)
	install psk31.ini psk31.cod $(DATADIR)
	install psk31.1 $(MANDIR)

clean:
	/bin/rm -f *.o psk31sb

## psk31lx 2.1

=== debian/changelog ===
psk31lx (2.1-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:40:16 +0000

psk31lx (2.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:10 +0000

psk31lx (2.1-1) unstable; urgency=low

  * Initial release. (Closes: #772087)

 -- Milan Kupcevic <milan@debian.org>  Sat, 07 Nov 2015 19:51:41 -0500

=== debian/control ===
Source: psk31lx
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Milan Kupcevic <milan@debian.org>
Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, libpulse-dev
Standards-Version: 3.9.6
Homepage: http://wa0eir.bcts.info/psk31lx.html

Package: psk31lx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PSK31 terminal application with text-based user interface
 psk31lx is a simple text-based terminal program with a built-in phase scope 
 and spectrum analyzer to aid in signal tuning. It uses a sound card to receive 
 and transmit PSK31 tone.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

VER ?= $(shell head -n1 `echo $(MAKEFILE_LIST) \
                         | sed -e "s,rules$$,../debian/changelog,"` \
               | sed -e "s,.*(,," \
                     -e "s,).*,," \
                     -e "s,\(.*\)-.*,\\1," \
                     -e "s,.*:,,")

%:
	dh $@ 

get-orig-source:
	@wget http://wa0eir.bcts.info/src/psk31lx-$(VER).src.tar.gz \
	      -O psk31lx_$(VER).orig.tar.gz

## psk31lx 2.2

=== debian/changelog ===
psk31lx (2.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:54 +0100

psk31lx (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version (Closes: #911780)
  * Removed desktop-category.patch - upstream contains it
  * Removed man-hyphen.patch - upstream contains it
  * Removed new-fsf-address.patch - upstream contains it
  * Removed typo.patch - upstream contains it
  * Aligned no-double-changelog.patch to new upstream
  * Bump Standards-Version to 4.2.1
  * Removed trailing whitespaces from d/control, d/rules, d/copyright
  * Bump debhelper version to 11.0.0
  * Changed Debian copyright URL to https scheme

 -- Ervin Hegedus <airween@gmail.com>  Mon, 29 Oct 2018 20:42:26 +0000

=== debian/control ===
Source: psk31lx
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Milan Kupcevic <milan@debian.org>
Build-Depends: debhelper (>= 11.0.0), libncurses5-dev, libpulse-dev
Standards-Version: 4.2.1
Homepage: http://wa0eir.bcts.info/psk31lx.html

Package: psk31lx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PSK31 terminal application with text-based user interface
 psk31lx is a simple text-based terminal program with a built-in phase scope
 and spectrum analyzer to aid in signal tuning. It uses a sound card to receive
 and transmit PSK31 tone.

=== debian/watch ===
version=3
http://wa0eir.bcts.info/src/ psk31lx-([[:alnum:]\.]*)\.src\.tar\.(?:gz|bz2|xz)
